/*
 *  Copyright 2010 johan.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package nu.zoom.catonine.desktop;

import java.io.File;

import nu.zoom.swing.desktop.worker.EventQueuePolicy;
import nu.zoom.swing.desktop.worker.Policy;
import nu.zoom.ui.Resources.ResourceNotFoundException;

/**
 * Interface for the component that opens, and remembers opened files, for
 * tailing.
 * 
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 */
public interface FileOpener {
	/**
	 * Open a file in a new tailing window.
	 * 
	 * @param file
	 *            The file to open. Must not be null, must be a readable Random
	 *            access File.
	 * @throws ResourceNotFoundException
	 *             If the application has not been built properly and is missing
	 *             localized resources.
	 */
	@EventQueuePolicy(Policy.EVENT_QUEUE)
	void openFile(final File file) throws ResourceNotFoundException;

}
