/*
 * Copyright (C) 2006 Johan Maasing johan at zoom.nu Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package nu.zoom.catonine.desktop;

import nu.zoom.catonine.stylerule.StyleRulesManager;

/**
 * Tracks changes to the collection of style rules.
 * 
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 * 
 */
public interface StyleRulesPlugInListener {
	/**
	 * Indicates that the plug in has unloaded a previous manager and uses a new
	 * one.
	 * 
	 * @param newManager
	 *            The new manager the system will use.
	 */
	public void styleRulesManagerChanged(StyleRulesManager newManager);
}
